Name: kdepim
Version: 3.5.5
Summary: PIM (Personal Information Manager) for KDE

Source: ftp://ftp.kde.org/pub/kde/releases/%{name}-%{version}.tar.bz2

Source1:akregator.uninst
Source2:kaddressbook.uninst
Source3:kmail.uninst
Source4:knode.uninst
Source5:knotes.uninst
Source6:kontact.uninst
Source7:korganizer.uninst

Patch:  kontact-fix-knotes-plugin-init-dir.patch
Patch1: install-headers.diff
Patch2: kmail-avoid-crash-on-startup.diff
Patch3: kmail_attachment_size.diff
Patch4: kmail-sign-position.patch
Patch5: kmail-do-not-close-recipientspicker.patch
Patch6: kdepim-3.5.5-drop-knode.patch

#For Asianux
Patch10: kdepim-3.5.5-includedir_arts-asianux.patch
patch100: kdepim-3.5.5-asianux-desktop_name.patch

URL: http://www.kde.org
Release: 2.4AX 
Group: Applications/Productivity
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/ldconfig
BuildRequires: gpgme-devel


%description
A PIM (Personal Information Manager) for KDE.

%package  kaddressbook
Summary: Address book
Group: Applications/Productivity

%description  kaddressbook
An address book application. Kaddressbook is used, among other things, as the
address book of KMail, the email program included in Ark Linux.

%package  kalarm
Summary: Personal alarm scheduler
Group: Applications/Productivity

%description  kalarm
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

In addition to its graphical mode, alarms may also be scheduled from the
command line, or via DCOP calls from other programs.


%package  kleopatra
Summary: GPG certificate manager
Group: Applications/Internet
Provides: certmanager
Obsoletes: certmanager

%description  kleopatra
GPG certificate manager

%package  konsolekalendar
Summary: Text mode version of the KDE calendar
Group: Applications/Productivity

%description  konsolekalendar
Text mode version of the KDE calendar.
konsolekalendar allows you to view your appointments etc. while in text mode.


%package  kgantt
Summary: The Gantt charting engine
Group: Applications/Productivity

%description  kgantt
The Gantt charting engine

%package  knotes
Summary: Post-It notes on the desktop
Group: Applications/Productivity

%description  knotes
KNotes allows you to place Post-It notes on your desktop.
In addition to serving as a reminder, KNotes can mail and print your notes,
and accept drag and drop even from remote sites.

%package  kontact
Summary: Unified email, news and personal information manager program
Group: Applications/Productivity
# SOFT dependencies:
# Requires: kmail knode kaddressbook korganizer
Obsoletes: kdeaddons-kontact < 3.3

%description  kontact
kontact provides a unified application for Email, Usenet news and personal
information management.

%package  kmail
Summary: An email application
Group: Applications/Internet
Obsoletes: kdenetwork-kfile

%description  kmail
KMail is the standard email application of Ark Linux.
It supports local mail spools as well as all commonly used Internet mail
protocols (POP-3, IMAP, SMTP, ...)

%package  korganizer
Summary: Personal information manager
Group: Applications/Productivity

%description  korganizer
A personal information manager.

%package libs
Summary: KDE networking and PIM libraries
Group: System Environment/Libraries
Obsoletes: kdenetwork-libs
Provides: kdenetwork-libs 

%description libs
KDE networking and PIM libraries

%package devel
Summary: Development files for kdepim
Group: Development/Libraries
Requires: %{name}-libs 

%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%package groupware
Summary: Groupware integration for %name
Group: Applications/Internet
Requires: %name-open-xchange 
Requires: %name-groupwise 
Requires: %name-kolab 
Requires: %name-egroupware

%description groupware
Groupware integration for %name

%package open-xchange
Summary: Open-Xchange integration for %name
Group: Applications/Internet

%description open-xchange
Open-Xchange (AKA SUSE Linux Open-Xchange AKA SLOX) integration for %name

%package egroupware
Summary: eGroupware integration for %name
Group: Applications/Internet

%description egroupware
eGroupware integration for %name

%package kolab
Summary: Kolab integration for %name
Group: Applications/Internet

%description kolab
Kolab integration for %name

%package groupwise
Summary: Groupwise integration for %name
Group: Applications/Internet

%description groupwise
Groupwise integration for %name

%package exchange
Summary: M$ Exchange integration for %name
Group: Applications/Internet

%description exchange
M$ Exchange integration for %name

%package networkstatus
Summary: Network status tools for %name
Group: Applications/Internet

%description networkstatus
Network status tools for %name

%package  akregator
Summary: a KDE based RSS news aggregator
Group: Applications/Internet

%description  akregator
akregator is a KDE RSS news aggregator.

%prep
%setup -q
%patch -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

#For Asianux
%patch10 -p1
%patch100 -p1

rm -rf kitchensync
rm -rf karm
rm -rf kmobile
rm -rf korn
rm -rf ksync
rm -rf kontact/plugins/kitchensync
rm -rf kontact/plugins/kpilot
rm -rf kontact/plugins/karm
rm -rf kontact/plugins/multisynk
rm -rf kontact/plugins/knode
rm -rf kandy
rm -rf knode
%build
unset QTDIR && . /etc/profile.d/qt.sh
make -f admin/Makefile.common cvs
%configure \
   --disable-warnings \
   --disable-debug 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/multisynk
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kpilot
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/korn
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/karm
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kandy


mkdir -p $RPM_BUILD_ROOT/usr/share/uninst

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/usr/share/uninst


#################################################################
   rm -rf $RPM_BUILD_ROOT/usr/bin/egroupwarewizard
   rm -rf $RPM_BUILD_ROOT/usr/bin/exchangewizard
   rm -rf $RPM_BUILD_ROOT/usr/bin/groupwarewizard
   rm -rf $RPM_BUILD_ROOT/usr/bin/groupwisewizard
   rm -rf $RPM_BUILD_ROOT/usr/bin/kolabwizard
   rm -rf $RPM_BUILD_ROOT/usr/bin/sloxwizard
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_groupdav.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_groupdav.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_groupwise.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_groupwise.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_kolab.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_kolab.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_newexchange.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_newexchange.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_slox.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kabc_slox.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_groupdav.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_groupdav.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_groupwise.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_groupwise.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_kolab.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_kolab.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_newexchange.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_newexchange.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_slox.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kcal_slox.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kio_groupwise.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/kio_groupwise.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libegroupwarewizard.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libegroupwarewizard.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libexchangewizard.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libexchangewizard.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libgroupwisewizard.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libgroupwisewizard.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libkolabwizard.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libkolabwizard.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libsloxwizard.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/kde3/libsloxwizard.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupdav.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupdav.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupdav.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupdav.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupwise.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupwise.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupwise.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_groupwise.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_newexchange.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_newexchange.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_newexchange.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_newexchange.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_slox.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_slox.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_slox.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabc_slox.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabckolab.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabckolab.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabckolab.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkabckolab.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupdav.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupdav.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupdav.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupdav.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupwise.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupwise.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupwise.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_groupwise.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_newexchange.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_newexchange.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_newexchange.so.1
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_newexchange.so.1.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_slox.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_slox.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_slox.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcal_slox.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcalkolab.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcalkolab.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcalkolab.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkcalkolab.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwarebase.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwarebase.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwarebase.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwarebase.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwaredav.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwaredav.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwaredav.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkgroupwaredav.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkslox.la
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkslox.so
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkslox.so.0
   rm -rf $RPM_BUILD_ROOT/usr/lib/libkslox.so.0.0.0
   rm -rf $RPM_BUILD_ROOT/usr/share/applications/kde/groupwarewizard.desktop
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/custommimeheader.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/egroupware.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/groupwise.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/kolab.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/mk4config.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/pimemoticons.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/replyphrases.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/config.kcfg/slox.kcfg
   rm -rf $RPM_BUILD_ROOT/usr/share/services/groupwise.protocol
   rm -rf $RPM_BUILD_ROOT/usr/share/services/groupwises.protocol


#########################################################################

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files  kaddressbook
%defattr(-,root,root)
%_libdir/kde3/libkaddressbook*
%_libdir/kde3/libkaddrbk*
%_libdir/kde3/kcm_kab*
%_libdir/kde3/ldifvcardthumbnail*
%_libdir/kde3/kabc_xmlrpc.*
%_libdir/libkabc_xmlrpc*
%_datadir/servicetypes/kaddressbook*
%_datadir/servicetypes/dcopaddressbook*
%_datadir/apps/kaddressbook
%_datadir/icons/*/*/*/kaddressbook.png
%_datadir/services/kaddressbook
%_datadir/services/kabconfig.desktop
%_datadir/services/kabldapconfig.desktop
%_datadir/services/ldifvcardthumbnail.desktop
%_datadir/services/kabcustomfields.desktop
%_datadir/services/kresources/kabc
%_bindir/kaddressbook
%_bindir/kabc2mutt
%doc %_docdir/HTML/en/kaddressbook
/usr/share/uninst/kaddressbook.uninst

%files  kalarm
%defattr(-,root,root)
# From kalarm
%_datadir/apps/kalarm
%_datadir/icons/*/*/*/kalarm.png
%_bindir/kalarm
# From kalarmd
%_bindir/kalarmd
%_datadir/applnk/.hidden/kalarmd.desktop
%doc %_docdir/HTML/en/kalarm

%files  kgantt
%defattr(-,root,root)
%_libdir/libkgantt*
%_datadir/apps/kgantt

%files  knotes
%defattr(-,root,root)
%_bindir/knotes
%_libdir/libknotes*
%_libdir/kde3/knotes_*
%_datadir/services/kresources/knotes
%_datadir/apps/knotes
%_datadir/icons/*/*/*/knotes.png
%_datadir/services/kresources/knotes_manager.desktop
%doc %_docdir/HTML/en/knotes

# Kontact integration
%_libdir/kde3/libkontact_knotesplugin.*
%_datadir/services/kontact/knotesplugin.desktop
/usr/share/config.kcfg/knoteconfig.kcfg
/usr/share/config.kcfg/knotesglobalconfig.kcfg
/usr/share/uninst/knotes.uninst

%files  konsolekalendar
%defattr(-,root,root)
%_datadir/icons/*/*/*/konsolekalendar*
%_bindir/konsolekalendar
%doc %_docdir/HTML/en/konsolekalendar



%files  kleopatra
%defattr(-,root,root)
%_bindir/kwatchgnupg
%_bindir/kleopatra
%_libdir/libkleopatra*
%_libdir/kde3/kcm_kleopatra*
%_datadir/apps/kleopatra
%_datadir/apps/libkleopatra
%_datadir/config/libkleopatrarc
%_docdir/HTML/en/kleopatra
%_datadir/icons/*/*/*/gpg*
%_datadir/apps/kwatchgnupg
%_datadir/services/kleopatra*
%_docdir/HTML/en/kwatchgnupg
%_libdir/libgpgme++*
%_libdir/libqgpgme*


%files  kmail
%defattr(-,root,root)
# From kfile-plugins
%_libdir/kde3/kfile_vcf*
%_libdir/kde3/kfile_ics*
%_datadir/services/kfile_vcf.desktop
%_datadir/services/kfile_ics.desktop

# Mail protocols...
%_libdir/kde3/kio_imap4.*
%_libdir/kde3/kio_mbox.*
%_datadir/services/imap4.protocol
%_datadir/services/imaps.protocol
%_datadir/services/mbox.protocol

# From libksieve
%_libdir/kde3/kio_sieve*
%_libdir/libksieve*
%_datadir/services/sieve.protocol

# From kmail
%_libdir/libkmailprivate*
%_libdir/kde3/libkmail_*
%_libdir/kde3/libkmailpart*
%_libdir/kde3/kcm_kmail*
%_bindir/kmail*
%_datadir/icons/*/*/*/kmail*
%_datadir/apps/kmail
%_datadir/apps/kconf_update/kmail*
%_datadir/apps/kconf_update/upgrade-transport.pl
%_datadir/apps/kconf_update/upgrade-signature.pl
%_datadir/config/kmail*
%_datadir/servicetypes/dcopmail.desktop
%_datadir/services/kmail*
%_datadir/servicetypes/dcopimap.desktop

# From kmailcvt
%_datadir/apps/kmailcvt
# (This is included in the kmail* glob above, but really belongs here)
# %_datadir/icons/*/*/*/kmailcvt*
%_datadir/applnk/Utilities/kmailcvt.desktop
#%_bindir/kmailcvt -- already included in %_bindir/kmail*

# From ktnef
%_datadir/apps/ktnef
%_datadir/mimelnk/application/ms-tnef.desktop
%_datadir/icons/*/*/*/ktnef.png
%_bindir/ktnef
%_docdir/HTML/en/ktnef

# From doc
%doc %_docdir/HTML/en/kmail

# Kontact integration
%_libdir/kde3/libkontact_kmailplugin.*
%_datadir/services/kontact/kmailplugin.desktop

/usr/share/config.kcfg/kmail.kcfg
/usr/share/uninst/kmail.uninst

%files  kontact
%defattr(-,root,root)
%_bindir/kontact
%_libdir/kde3/kcm_sdsummary*
%_datadir/services/kcmsdsummary.desktop
%_datadir/apps/knotes/knotes_part.rc
%_datadir/apps/kontactsummary
%_libdir/libkontact*
%_libdir/kde3/kcm_kontact*
%_datadir/apps/kontact
%_datadir/applications/kde/Kontact.desktop
%_datadir/services/kontactconfig.desktop
%_datadir/servicetypes/kontactplugin.desktop
%_datadir/config.kcfg/kontact.kcfg
%_datadir/icons/*/*/*/kontact*
%dir %_datadir/services/kontact
%_datadir/services/kcmkontact*.desktop
%_datadir/services/kcmkmailsummary.desktop
%_datadir/services/kcmkorgsummary.desktop
%_libdir/kde3/kcm_korgsummary*
%doc %_docdir/HTML/en/kontact

# Core Plugins...
%_libdir/kde3/libkontact_journalplugin.*
%_datadir/services/kontact/journalplugin.desktop
%_libdir/kde3/libkontact_kaddressbookplugin.*
%_datadir/services/kontact/kaddressbookplugin.desktop
%_libdir/kde3/libkontact_newstickerplugin.*
%_datadir/services/kontact/newstickerplugin.desktop
%_libdir/kde3/libkontact_specialdatesplugin.*
%_datadir/services/kontact/specialdatesplugin.desktop
%_libdir/kde3/libkontact_summaryplugin.*
%_datadir/services/kontact/summaryplugin.desktop
%_libdir/kde3/libkontact_todoplugin.*
%_datadir/services/kontact/todoplugin.desktop
%_libdir/kde3/libkontact_weatherplugin.*
%_datadir/services/kontact/weatherplugin.desktop
/usr/share/uninst/kontact.uninst

%files  korganizer
%defattr(-,root,root)
%_bindir/korganizer
%_libdir/libkorganizer.*
%_libdir/kde3/kcm_korganizer*
%_libdir/libkorganizer_event*
%_datadir/apps/korganizer
%_datadir/servicetypes/dcopcalendar.desktop
%_datadir/config.kcfg/korganizer.kcfg
%_datadir/services/webcal.protocol
%_datadir/icons/*/*/*/korganizer*.png
%_datadir/services/korganizer*
%_bindir/korgac
%_datadir/apps/korgac
%_libdir/kde3/libkorg*
%_libdir/kde3/resourcecalendarexchange*
%_datadir/servicetypes/calendarplugin.desktop
%_datadir/servicetypes/calendardecoration.desktop
%_datadir/servicetypes/korganizerpart.desktop
%_bindir/ical2vcal
%_libdir/libkocorehelper.*
%_libdir/libkorg_stdprinting.*
%_datadir/apps/kconf_update/korganizer.upd
%_datadir/servicetypes/korgprintplugin.desktop

# From libkcal
%_libdir/libkcal_resourcefeatureplan.*
%_libdir/libkcal_resourceremote.*
%_libdir/libkcal_xmlrpc.*
%_libdir/kde3/kcal_kabc.*
%_libdir/kde3/kcal_local.*
%_libdir/kde3/kcal_localdir.*
%_libdir/kde3/kcal_remote.*
%_libdir/kde3/kcal_resourcefeatureplan.*
%_libdir/kde3/kcal_xmlrpc.*
%_datadir/services/kresources/kcal
%_datadir/services/kresources/kcal_manager.desktop
%_datadir/apps/libical
%doc %_docdir/HTML/en/korganizer

# Kontact integration
%_libdir/kde3/libkontact_korganizerplugin.*
%_datadir/services/kontact/korganizerplugin.desktop
/usr/share/uninst/korganizer.uninst

%files libs
%defattr(-,root,root)
# libkdenetwork
%_datadir/apps/kconf_update/kpgp*
%_datadir/apps/kmail/pics

# libkdepim
%_libdir/libkdepim*
%_libdir/libkpimidentities*
%_libdir/kde3/plugins/designer/kdepimwidgets.*
%_libdir/kde3/plugins/designer/kpartsdesignerplugin.*
%_datadir/apps/kdepimwidgets
%_datadir/apps/libkdepim
%_datadir/icons/*/*/actions/button_fewer.png
%_datadir/icons/*/*/actions/button_more.png

#from libkholiday
%_libdir/libkholidays.*
%_datadir/apps/libkholidays

%_libdir/libkorganizer_calendar.*
# libkpimexcahnge
%_libdir/libkpimexchange*

# mimelib
%_libdir/libmime*
%_libdir/libkmime*

# kode
%_libdir/libkode.*

# libkpgp
%_libdir/libkpgp.*

# indexlib
%_bindir/indexlib-config
%_libdir/libindex.*
%_libdir/libkcal.*
%_libdir/libktnef*
%_libdir/libkpinterfaces*
%_libdir/libkabinterfaces*
%_libdir/libkaddressbook*


# other pictures
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/appointment.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/bell.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/inverse_recur.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/journal.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/newappointment.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/readonlyevent.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/recur.png
/usr/share/apps/kdepim/icons/crystalsvg/16x16/actions/todo.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/appointment.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/checkedbox.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/checkedbox_mask.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/checkedclipboard.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/checkmark.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/journal.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/newappointment.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/newjournal.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/newrecurevent.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/newtodo.png
/usr/share/apps/kdepim/icons/crystalsvg/22x22/actions/todo.png
/usr/share/apps/kdepim/icons/crystalsvg/32x32/actions/appointment.png
/usr/share/apps/kdepim/icons/crystalsvg/32x32/actions/journal.png
/usr/share/apps/kdepim/icons/crystalsvg/32x32/actions/newappointment.png
/usr/share/apps/kdepim/icons/crystalsvg/32x32/actions/todo.png

%files devel
%defattr(-,root,root)
%_bindir/kode
%_bindir/kxml_compiler
%_includedir
%doc %_docdir/HTML/en/kdepim-apidocs

%files  akregator
%defattr(-,root,root)
%_bindir/akregator
%_libdir/kde3/libakregatorpart.*
%_libdir/kde3/libakregator_mk4storage_plugin.*
%_datadir/services/akregator_mk4storage_plugin.desktop
%_datadir/servicetypes/akregator_plugin.desktop
%_libdir/libakregatorprivate.*
%_datadir/apps/akregator
%_datadir/icons/*/*/*/akregator*
%_datadir/services/akregator_part.desktop
%_datadir/services/feed.protocol
%_datadir/icons/*/*/actions/rss_tag.png
%doc %_docdir/HTML/*/akregator
/usr/share/config.kcfg/akregator.kcfg
# Kontact integration
%_libdir/kde3/libkontact_akregator.*
%_datadir/services/kontact/akregatorplugin*
/usr/share/uninst/akregator.uninst

%files networkstatus
%defattr(-,root,root)
%_bindir/networkstatustestservice
%_libdir/kde3/kded_networkstatus.*
%_datadir/services/kded/networkstatus.desktop
%_libdir/libconnectionmanager.*
%_libdir/libnetworkstatus.*

%changelog
* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 3.5.5-2.4AX
- modify kdepim-3.5.5-asianux-desktop_name.patch

* Tue Jun 12 2007 Ki-Young, Lee <kylee@haansoft.com> 3.5.5-2.3AX
- added to patch#100( modify desktop name )

* Tue May 29 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-2.2AX
- add "--disable-debug" and "--disable-warnings" with configure

* Mon Jan 29 2007 Hua Jie <jiehua@redflag-linux.com> 3.5.5-2.1AX
- add patch #10 to change include directory if arts

* Fri Oct 13 2006 cjacker <cjacker@gmail.com>
- update to 3.5.5

* Fri Jul 27 2006 cjacker <cjacker@gmail.com> 3.5.4-1
- 3.5.4
